import React from 'react';
export declare const Button: React.ForwardRefExoticComponent<React.ButtonHTMLAttributes<HTMLButtonElement> & import("../types").DefaultAttributes & {
    children: React.ReactNode;
    variant?: import("./types").ButtonVariants | undefined;
    size?: import("./types").ButtonSizes | undefined;
    disabled?: boolean | undefined;
    isLoading?: boolean | undefined;
    type?: import("./types").ButtonTypes | undefined;
    onClick?: ((e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void) | undefined;
    fullWidth?: boolean | undefined;
    icon?: React.ReactNode;
    iconPosition?: import("./types").ButtonIconPosition | undefined;
    margin?: string | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
